Multicaster (Mule ESB 2.2.1 API)
Keywords: org.mule.util.Multicaster class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util
Class Multicaster

    java.lang.Object
      org.mule.util.Multicaster

    public final class Multicaster

extends Object

`Multicaster` is a utility that can call a given method on a collection of objects that implement one or more common interfaces. The create method returns a proxy that can be cast to any of the the interfaces passed and be used like a single object.

Nested Class Summary
`static interface` | `Multicaster.InvokeListener`

Method Summary
`static Object` | `create(Class[] interfaces, Collection objects)`
`static Object` | `create(Class[] interfaces, Collection objects, Multicaster.InvokeListener listener)`
`static Object` | `create(Class theInterface, Collection objects)`
`static Object` | `create(Class theInterface, Collection objects, Multicaster.InvokeListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static Object create(Class theInterface,
                                Collection objects)

### create

    public static Object create(Class theInterface,
                                Collection objects,
                                Multicaster.InvokeListener listener)

### create

    public static Object create(Class[] interfaces,
                                Collection objects)

### create

    public static Object create(Class[] interfaces,
                                Collection objects,
                                Multicaster.InvokeListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.